Loading...
Searching...
No Matches
Fragment.h File Reference
`#include <RDGeneral/export.h>`
`#include <Catalogs/Catalog.h>`
`#include <GraphMol/MolStandardize/FragmentCatalog/FragmentCatalogEntry.h>`
`#include <GraphMol/MolStandardize/FragmentCatalog/FragmentCatalogParams.h>`
`#include <GraphMol/MolStandardize/MolStandardize.h>`

Go to the source code of this file.

## Classes

class | RDKit::MolStandardize::FragmentRemover
class | RDKit::MolStandardize::LargestFragmentChooser
struct | RDKit::MolStandardize::LargestFragmentChooser::Largest

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolStandardize

## Typedefs

typedef RDCatalog::HierarchCatalog< FragmentCatalogEntry, FragmentCatalogParams, int > | RDKit::MolStandardize::FragmentCatalog

## Functions

FragmentRemover * | RDKit::MolStandardize::fragmentRemoverFromParams (const CleanupParameters &params, bool leave_last=true, bool skip_if_all_match=false)